### Method

# Goa Client lookup_by_id

since: 3.6

#### Declaration [src]

    GoaObject*
    goa_client_lookup_by_id (
      GoaClient* self,
      const gchar* id
    )

#### Description [src]

Finds and returns the `GoaObject` instance whose `GoaAccount:id` D-Bus property matches `id`.

Available since: 3.6

#### Parameters

`id`

  Type: `const gchar*`

  The ID to look for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GoaObject`

The object for the given id.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.